
rm -rf rerun_frame*/

rerun.sh lmp_ubuntu in.rerun.Usolute system.data.Usolute system.in.sw < traj_npt.lammpstrj

NUM_FRAMES=`ls rerun_frame*/tmp.in | awk 'END{print NR}'`
rm -f Usolute.dat
for ((i=1; i <= "$NUM_FRAMES"; i++)); do
    awk '{if (NR==2) print $0}' < rerun_frame${i}/U.dat >> Usolute.dat
done

rm -rf rerun_frame*/

# --------

rerun.sh lmp_ubuntu in.rerun.Usolvent system.data.Usolvent system.in.sw < traj_npt.lammpstrj

NUM_FRAMES=`ls rerun_frame*/tmp.in | awk 'END{print NR}'`
rm -f Usolvent.dat
for ((i=1; i <= "$NUM_FRAMES"; i++)); do
    awk '{if (NR==2) print $0}' < rerun_frame${i}/U.dat >> Usolvent.dat
done

rm -rf rerun_frame*/

# --------

rerun.sh lmp_ubuntu in.rerun.Utot system.data system.in.sw < traj_npt.lammpstrj

NUM_FRAMES=`ls rerun_frame*/tmp.in | awk 'END{print NR}'`
rm -f Utot.dat
for ((i=1; i <= "$NUM_FRAMES"; i++)); do
    awk '{if (NR==2) print $0}' < rerun_frame${i}/U.dat >> Utot.dat
done

rm -rf rerun_frame*/

# --------

rerun.sh lmp_ubuntu in.rerun.Uint system.data system.in.sw < traj_npt.lammpstrj

NUM_FRAMES=`ls rerun_frame*/tmp.in | awk 'END{print NR}'`
rm -f Uint.dat
for ((i=1; i <= "$NUM_FRAMES"; i++)); do
    awk '{if (NR==2) print $0}' < rerun_frame${i}/U.dat >> Uint.dat
done

rm -rf rerun_frame*/


# --------

# Check to make sure that the total numbers make sense:


paste -d' ' Utot.dat Usolute.dat Usolvent.dat Uint.dat | awk '{print $1" "$2+$3+$4}'
